classification
Title: Update the link to Source Code in Python Docs from hg to github
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, brett.cannon, docs@python
Priority: normal Keywords: patch

Created on 2016-12-12 03:36 by Mariatta, last changed 2017-02-13 22:36 by Mariatta. This issue is now closed.

Files
File name Uploaded Description Edit
issue28941.patch Mariatta, 2016-12-15 04:55 patch for v>= 3.6 review
issue28941v35.patch Mariatta, 2016-12-15 04:57 review
issue28941v27.patch Mariatta, 2016-12-15 04:58 patch for 2.7 review
Messages (9)
msg282960 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-12 03:36
Some Python docs include a link to the Source Code, for example: https://docs.python.org/3.6/library/abc.html

Once the repo is moved to github, the link should probably be updated to point to github:
https://github.com/python/cpython/blob/master/Lib/abc.py
msg283035 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-12-12 18:59
How is this different from issue #28929?
msg283038 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-12 19:04
There's source code of the documentation itself 
https://github.com/python/cpython/blob/master/Doc/library/abc.rst ) for 

and source code of abc.py 
https://github.com/python/cpython/blob/master/Lib/abc.py

Maybe I misunderstood, I figured issue #28929 is for fixing the docs url only.
msg283129 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-12-13 17:48
No, I'm the one who misunderstood; I read the title of the issue too quickly after reading the doc source link issue and my brain didn't pick up on the "source code" part of the title. Sorry about that.
msg283237 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-15 04:55
Attached is the patch that will work for 3.6 and 3.7 branches.

The url will be changed from
https://hg.python.org/cpython/file/3.6/Lib/abc.py

into 
https://github.com/python/cpython/blob/3.6/Lib/abc.py for python version 3.6,
and 
https://github.com/python/cpython/blob/master/Lib/abc.py for python version 3.7
msg283238 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-15 04:57
Patch for 3.5 branch.

The url will change from
https://hg.python.org/cpython/file/3.5/Lib/abc.py

into
https://github.com/python/cpython/blob/3.5/Lib/abc.py
msg283239 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-15 04:58
Patch for 2.7 branch.

The url will change from
https://hg.python.org/cpython/file/2.7/Lib/abc.py

into
https://github.com/python/cpython/blob/2.7/Lib/abc.py
msg283240 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-12-15 04:59
Please let me know if I'm doing this right :) Thanks.
msg287729 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-02-13 22:36
This was addressed in the very first pull request on CPython GitHub (Thanks, Brett ) 

Backported to 2.7, 3.5, and 3.6
History
Date User Action Args
2017-02-13 22:36:10Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg287729

stage: resolved
2017-02-12 04:13:07Mariattasetassignee: docs@python -> Mariatta
2016-12-15 04:59:38Mariattasetmessages: + msg283240
2016-12-15 04:58:16Mariattasetfiles: + issue28941v27.patch

messages: + msg283239
2016-12-15 04:57:22Mariattasetfiles: + issue28941v35.patch

messages: + msg283238
2016-12-15 04:55:54Mariattasetfiles: + issue28941.patch
keywords: + patch
messages: + msg283237
2016-12-13 17:48:45brett.cannonsetmessages: + msg283129
2016-12-12 19:04:22Mariattasetmessages: + msg283038
2016-12-12 18:59:27brett.cannonsetmessages: + msg283035
2016-12-12 03:39:08Mariattasetnosy: + brett.cannon
2016-12-12 03:36:59Mariattacreate